JPlatform 10 - Manuel d'installation et d'exploitation

Ce document décrit l’architecture, l’installation et la configuration de JPlatform 10.0 (Jalios Digital Platform).

Les procédures d’installation détaillées sont décrites pour les différents serveurs d’applications certifiés.

Les principales procédures d’exploitation du produit sont décrites, notamment, les procédures de mises à jour / déploiements.

Historiques des changements :

  • Version 1.0.2 (octobre 2017) :
    • [SGBDR] précision sur le support unicode/UTF-8
    • [Mise en forme] lien https uniquement
  • Version 1.0.3 (février 2018) :
    • [Windows] [Tomcat] Mise à jour des captures d'écran (tomcat 8.5 au lieu de tomcat 7)
  • Version 1.0.4 (mars 2018) :
  • Version 1.0.5 (mi mars 2018) :
    • [JBoss] ajout version 7.1 en plus de la version 7.0
    • [JBoss] [derby] ajout procédure de configuration de Derby pour contournement JCMS-6514
    • [JBoss] [upload] ajout configuration max-post-size pour dépot de fichier
  • Version 1.0.6 (11 sept 2018)
    • [JBoss] ajout configuration UTF-8 cf https://access.redhat.com/solutions/3325351
    • [OS] ajout support Windows Server 2016
    • [OS] retrait Windows Server 2003 (fin de support étendu de Microsoft en 2015)
    • [SGBDR] ajout support SQL Server 2016
  • Version 1.0.7
    • [Java] Ajout certification OpenJDK 8
  • Version 1.0.8 (28 février 2019, avec JPlatform 10 SP2)
    • [WebSphere] Maj version derby dans la configuration de WebSphere
    • [Java] Ajout certification Oracle JDK 11 et OpenJDK 11 (JCMS-6681)
    • [Tomcat] Ajout support Tomcat 9 (JCMS-6685)
  • Version 1.0.9 (12 sept 2019)
    • [Linux] retrait de la mention lié à ext3 pour autoriser implictement ext4
    • [Navigateur] retrait de Opera
    • [SGBDR] ajout support PostgreSQL 10 et 11
    • [SGBDR] retrait PostgreSQL 8.4 (support étendu terminé)
    • [SGBDR] modification certification PostgreSQL 9 pour retirer sous version (9 au lieu de 9.3, 9.4, etc)
    • [SGBDR] modification certification MySQL 5 pour retirer sous version (5 au lieu de 5.1, 5.2, etc)
    • [SGBDR] retrait Oracle 10g (support étendu terminé) 
    • [SGBDR] retrait SQL Server 2008 (support étendu terminé) 
    • [OS] retrait Windows Server 2008 (support étendu terminé)  
    • [Configuration recommandée] Ajout OpenJDK 8 en plus de Oracle JDK 8
    • [Configuration recommandée] Ajout Tomcat 9.x en plus de Tomcat 8.5.x
    • [Poste Administrateur] modification concernant Flash, pour indiquer que ça n'est requis que pour l'affichage des Workflow (en attente JCMS-7530)
  • Version 1.0.10 (29 octobre 2019)
    • [SGBDR] ajout support MariaDB 10
  • Version 1.0.11 (06 novembre 2019)
    • [SGBDR] ajout certification MySQL 8 (en plus de 5)
    • [Flash] retrait de l'obligation d'utiliser flash pour le workdlow (suite 10 SP3 - JCMS-7530
    • [AddPack] correction des limites par défaut qui ne correspondait pas à ce qui était livré. avant 100 membre, après : 10 membres, 3 invités, 100 documents en base
  • Version 1.0.12 (04 mai 2020)
    • [SGBDR] ajout certification SQL Server 2019
  • Version 1.0.13 (13 mai 2020)
    • [SGBDR] ajout certification PostgreSQL 12
  • Version 1.0.14 (3 aout 2020, avec JPlatform 10 SP4)
    • [JBoss] ajout version EAP 7.2 et EAP 7.3
  • Version 1.0.15 (24 aout 2020)
    • [Tomcat] Ajout de la configuration requise pour la compilation des JSP en Java 8 pour Tomcat 8.5
  • Version 1.0.16 (20 octobre 2020)
    • [OS] ajout du support de Windows Server 2019
  • Version 1.0.17 (7 juin 2021)
    • [Navigateur] Firefox ESR+, Chrome stable+, Safari stable+
    • [Sécurité] Ajout section pour changement de mot de passe par défaut de l'admin
    • [Configuration recommandée] Recommandation de JDK11
  • Version 1.0.18 (14 juin 2021)
    • [SGBDR] ajout certification PostgreSQL 13
  • Version 1.0.19 (16 juin 2021)
    • [Sécurité] Ajout recommandation ANSSI relatives au mot de passe
  • Version 1.0.20 (10 septembre 2021)
    • [Navigateur] Ajout fin de support IE11